package org.siprop.android.location;

import java.util.List;
import java.util.Locale;

import android.content.Context;
import android.location.Address;
import android.location.Geocoder;

/**
 * 位置情報へのアクセス
 * 
 * @author hirotaka@siprop.org
 *
 */
public class LocationService {
    
    public static String lontatToAddress(
    		double latitude,
    		double longitude,
    		Context context) {
    	Geocoder geocoder = new Geocoder(context, Locale.JAPAN);
    	try {
	    	List<Address> addressList = geocoder.getFromLocation(latitude, longitude, 1);
	    	if (!addressList.isEmpty()){
	    		Address address = addressList.get(0);
				StringBuffer strbuf = new StringBuffer();
				
				String addressString;
				for (int i = 0; (addressString = address.getAddressLine(i)) != null; i++){
					if (!addressString.equals("日本"))
						strbuf.append(addressString);
				}
				return strbuf.toString();

	    	}
    	} catch (Exception exp) {
    		
    	}
    	return null;
    }
}
