package org.siprop.android.overlay;

import org.siprop.android.location.LocationInfo;

import android.graphics.drawable.Drawable;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.OverlayItem;

/**
 * ユーザの現在地表示用アイテム
 * 
 * @author hirotaka@siprop.org
 *
 */
public class UserOverlayItem extends OverlayItem {

	LocationInfo locationInfo;
	
	public UserOverlayItem(GeoPoint point,
            	java.lang.String title,
            	java.lang.String snippet,
            	LocationInfo locationInfo) {
		super(point, title, snippet);
		this.locationInfo = locationInfo;
	}
	
	
	@Override
	public void setMarker(Drawable marker) {
		super.setMarker(marker);
	}


	public LocationInfo getLocationInfo() {
		return locationInfo;
	}


	public void setLocationInfo(LocationInfo locationInfo) {
		this.locationInfo = locationInfo;
	}
	
	
}
